<?php
/**
* @author moufer<moufer@163.com>
* @copyright www.modoer.com
*/
!defined('IN_MUDDER') && exit('Access Denied');
$mymod = $cr_mod ? $MOD : read_cache(MUDDER_CACHEDIR.'cache_'.$val_mod['flag'].'_config.php');
if($mymod['rewrite']) {
    $patterns[] = '/<a href="'.$full_url_preg.'(index.php|)\?action=gift(&|&amp;)giftid=([0-9]+)"/i';
    $replacement[] = '<a href="'.$full_url.'gift_$3.html"';
    $cr_mod && crMod($full_url_preg,$patterns,$replacement);
}

//action=giftdetail&giftid=1
?>